%define upstream_name    String-ShellQuote
%define upstream_version 1.04

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:	Quote strings for passing through the shell
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://www.perl.com/CPAN-local/authors/id/R/RO/ROSCH/String-ShellQuote-%{upstream_version}.tar.gz

BuildArch:	noarch


%description
This perl module contains some functions which are useful for quoting strings
which are going to pass through the shell or a shell-like object.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README Changes META.yml
%{_bindir}/*
%{_mandir}/*/*
%{perl_vendorlib}/String/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1.40.0-4.mga3
+ Revision: 372840
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 21 2011 jquelin <jquelin> 1.40.0-3.mga1
+ Revision: 29448
- rebuild
- mageia rebuild

* Wed Jan 12 2011 jquelin <jquelin> 1.40.0-2.mga1
+ Revision: 7420
- imported package perl-String-ShellQuote

